--- app_unixodbc.c.orig	2004-01-14 05:45:28.000000000 -0500
+++ app_unixodbc.c	2004-01-14 05:47:02.000000000 -0500
@@ -579,14 +579,14 @@
 
 int ast_db_unixodbcget(const char *family, const char *key, char *value, int valuelen)
 {
-/* SELECT DISTINCT value FROM astdb WHERE family = '%s' AND key = '%s' LIMIT 1; */
+/* SELECT DISTINCT keyvalue FROM astdb WHERE family = '%s' AND key = '%s' LIMIT 1; */
 	int res;
 	long int ODBC_err;
 	char sqlcmd[1024];
 	char tmp[256] = "";
 	memset(sqlcmd,0,1024);
 	ast_mutex_lock(&unixodbc_lock);
-	sprintf(sqlcmd, "SELECT DISTINCT value FROM astdb WHERE `family`='%s' AND `key`='%s' LIMIT 1", family, key);
+	sprintf(sqlcmd, "SELECT DISTINCT keyvalue FROM astdb WHERE `family`='%s' AND `key`='%s' LIMIT 1", family, key);
 	res = unixodbc_do_query(sqlcmd);
 	SQLBindCol(ODBC_stmt, 1, SQL_C_CHAR, &tmp, 50, &ODBC_err);
 	if((ODBC_res = SQLFetch(ODBC_stmt) != SQL_NO_DATA))
@@ -599,16 +599,16 @@
 
 int ast_db_unixodbcput(const char *family, const char *key, char *value)
 {
-/* DELETE FROM astdb WHERE family = '%s' AND key = '%s' AND value = '%s';
+/* DELETE FROM astdb WHERE family = '%s' AND key = '%s' AND keyvalue = '%s';
    INSERT INTO astdb (family,key,value) VALUES ('%s','%s','%s'); */
 	int res;
 	char sqlcmd[1024];
 	memset(sqlcmd,0,1024);
 	ast_mutex_lock(&unixodbc_lock);
-	sprintf(sqlcmd, "DELETE FROM astdb WHERE `family`='%s' AND `key`='%s' AND `value`='%s'", family, key, value);
+	sprintf(sqlcmd, "DELETE FROM astdb WHERE `family`='%s' AND `key`='%s' AND `keyvalue`='%s'", family, key, value);
 	res = unixodbc_do_query(sqlcmd);
 	memset(sqlcmd,0,1024);
-	sprintf(sqlcmd, "INSERT INTO `astdb` (`family`,`key`,`value`) VALUES ('%s','%s','%s')", family, key, value);
+	sprintf(sqlcmd, "INSERT INTO `astdb` (`family`,`key`,`keyvalue`) VALUES ('%s','%s','%s')", family, key, value);
 	res = unixodbc_do_query(sqlcmd);
 	ast_mutex_unlock(&unixodbc_lock);
 	return res;
@@ -616,7 +616,7 @@
 
 int ast_db_unixodbcdel(const char *family, const char *key)
 {
-/* DELETE FROM astdb WHERE family = '%s' AND key = '%s' AND value = '%s'; */
+/* DELETE FROM astdb WHERE family = '%s' AND key = '%s' AND keyvalue = '%s'; */
 	int res;
 	char sqlcmd[1024];
 	memset(sqlcmd,0,1024);
